<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:fn="http://java.sun.com/jsp/jstl/functions">
	<h1>Cadastro de Tibutos de Entrada e Saida</h1>
	<p:tabView dynamic="true" id="tvTributacao">
		<p:tab title="Dados">
			<h:form id="form1" enctype="multipart/form-data">
				<p:toolbar id="tbOpcoes" style="margin-top: 20px">
					<p:toolbarGroup>
						<p:commandButton value="Salvar" id="botaoSalvar" styleClass="corVerde"
							action="#{configuracaoEntradaSaidaController.salvar}"
							rendered="#{configuracaoEntradaSaidaController.ativo}" update="form1 growl"
							process="@this painel" />

						<p:commandButton value="Novo" id="botaoNovo" styleClass="corAzul"
							actionListener="#{configuracaoEntradaSaidaController.ativar}"
							rendered="#{!configuracaoEntradaSaidaController.ativo}"
							update="tbOpcoes painel" process="@this" />

						<p:commandButton value="Cancelar" id="botaoCancelar" styleClass="corVermelho"
							rendered="#{configuracaoEntradaSaidaController.ativo}"
							actionListener="#{configuracaoEntradaSaidaController.desativar}"
							update="tbOpcoes painel" process="@this">
							<p:resetInput target="painel" />
						</p:commandButton>
					</p:toolbarGroup>
				</p:toolbar>
				<p:panelGrid columns="4" id="painel" styleClass="semBorda" columnClasses="cssColumn1,cssColumn2,cssColumn1,cssColumn2">

					<p:outputLabel value="Codigo " for="codigo"  />
					<p:inputText id="codigo"
						value="#{configuracaoEntradaSaidaController.configuracaoEntradaSaida.codigoConfEntradaSaida}"
						disabled="#{!configuracaoEntradaSaidaController.ativo}" size="5"/>
						
					<p:outputLabel value="Descrição " for="descricao"  />
					<p:inputText id="descricao"
						value="#{configuracaoEntradaSaidaController.configuracaoEntradaSaida.descricao}"
						disabled="#{!configuracaoEntradaSaidaController.ativo}" size="30"/>
						
					<p:outputLabel value="Cfop" for="cfop"  />
					<p:selectOneMenu maxlength="10"
						disabled="#{!configuracaoEntradaSaidaController.ativo}"
						converter="genericConverter" id="cfop"
						value="#{configuracaoEntradaSaidaController.configuracaoEntradaSaida.cfop}">
						<f:selectItems value="#{configuracaoEntradaSaidaController.cfops}"
							var="cfops" itemLabel="#{cfops.cfopNatureza}" itemDescription="#{cfops.cfopDescricao}" itemValue="#{cfops}" />
					</p:selectOneMenu>
					
					<p:outputLabel value="Gera Financeiro ?" for="geraFinanceiro" />
					<p:selectOneMenu maxlength="10"
						disabled="#{!configuracaoEntradaSaidaController.ativo}" id="geraFinanceiro"
						value="#{configuracaoEntradaSaidaController.configuracaoEntradaSaida.geraFinanceiro}">
						<f:selectItems value="#{configuracaoEntradaSaidaController.simNao}"
							var="simNao" itemLabel="#{simNao.descricao}" itemValue="#{simNao}" />
					</p:selectOneMenu>
					
					<p:outputLabel value="Usa Estoque ?" for="usaEstoque" />
					<p:selectOneMenu maxlength="10"
						disabled="#{!configuracaoEntradaSaidaController.ativo}" id="usaEstoque"
						value="#{configuracaoEntradaSaidaController.configuracaoEntradaSaida.usaEstoque}">
						<f:selectItems value="#{configuracaoEntradaSaidaController.simNao}"
							var="simNao" itemLabel="#{simNao.descricao}" itemValue="#{simNao}" />
					</p:selectOneMenu>
					
					<p:outputLabel value="Calcular Icms ?" for="calculaIcms" style="width: 101px; margin: 5px;"/>
					<p:selectOneMenu maxlength="10" 
						disabled="#{!configuracaoEntradaSaidaController.ativo}" id="calculaIcms"
						value="#{configuracaoEntradaSaidaController.configuracaoEntradaSaida.calculcaIcms}">
						<f:selectItems value="#{configuracaoEntradaSaidaController.simNao}"
							var="simNao" itemLabel="#{simNao.descricao}" itemValue="#{simNao}" />
					</p:selectOneMenu>
					
					<p:outputLabel value="Calcular Pis ?" for="calculaPis" />
					<p:selectOneMenu maxlength="10"
						disabled="#{!configuracaoEntradaSaidaController.ativo}" id="calculaPis"
						value="#{configuracaoEntradaSaidaController.configuracaoEntradaSaida.calculaPis}">
						<f:selectItems value="#{configuracaoEntradaSaidaController.simNao}"
							var="simNao" itemLabel="#{simNao.descricao}" itemValue="#{simNao}" />
					</p:selectOneMenu>
					
					<p:outputLabel value="Calcular Cofins ?" for="calculaCofins" />
					<p:selectOneMenu maxlength="10"
						disabled="#{!configuracaoEntradaSaidaController.ativo}" id="calculaCofins"
						value="#{configuracaoEntradaSaidaController.configuracaoEntradaSaida.calculaCofins}">
						<f:selectItems value="#{configuracaoEntradaSaidaController.simNao}"
							var="simNao" itemLabel="#{simNao.descricao}" itemValue="#{simNao}" />
					</p:selectOneMenu>
					
					<p:outputLabel value="Cst" for="cst" />
					<p:selectOneMenu maxlength="10"
						disabled="#{!configuracaoEntradaSaidaController.ativo}" id="cst"
						value="#{configuracaoEntradaSaidaController.configuracaoEntradaSaida.cst}">
						<f:selectItems value="#{configuracaoEntradaSaidaController.cst}" var="csts" 
							itemLabel="#{csts.numero}" itemDescription="#{csts.descricao}" itemValue="#{csts}" />
					</p:selectOneMenu>
					
				</p:panelGrid>
			</h:form>
		</p:tab>
		<p:tab title="Consulta">
			<h:form id="form" enctype="multipart/form-data">
				<h1>Pesquisar</h1>
				<br />
			</h:form>
		</p:tab>
	</p:tabView>
</ui:composition>